package com.xhkjedu.slive.mapper.system;

import com.xhkjedu.vo.system.UserVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.Map;

/**
 * @ClassName UserMapper
 * Description
 * Author WN
 * Date 2020/5/29 17:00
 **/
@Repository
public interface UserMapper {

    //根据用户id获取用户类型
    Integer getUserTypeByUserId(Integer userid);

    //根据用户账号和学校获取用户id
    Integer getUserIdByNameAndSid(String loginname, Integer schoolid);

    //根据用户id获取姓名
    String getUserNameById(Integer userid);

    //根据登录名获取学生信息
    Map getObjByLoginName(String loginname);

    //根据登录名获取学生id和行政和提高班班级id
    Map getObjByLoginName2(String loginname);

    //根据用户id获取用户信息
    Map getObjById(Integer userid);

    //获取用户信息用于操作日志
    UserVo getUserInfoForHandleLog(@Param("userid") Integer userid);
}
